uuid: e0206a6d-7946-4cb5-a395-9f94ee000a95
langcode: en
status: true
dependencies:
  enforced:
    module:
      - commerce_wishlist
  module:
    - commerce_wishlist
_core:
  default_config_hash: 7tVtBf37bZG04nBsxs112p8Byk5Rx3n1cMbTHp5vjAY
id: commerce_wishlist_form
label: 'Wishlist form'
module: views
description: ''
tag: commerce_wishlist_form
base_table: commerce_wishlist
base_field: wishlist_id
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ''
          query_tags: {  }
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: none
        options:
          offset: 0
      style:
        type: table
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          override: true
          sticky: false
          caption: ''
          summary: ''
          description: ''
          columns:
            name: name
          info:
            name:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
          default: '-1'
          empty_table: false
      row:
        type: fields
        options:
          inline: {  }
          separator: ''
          hide_empty: false
          default_field_elements: true
      fields:
        purchasable_entity:
          id: purchasable_entity
          table: commerce_wishlist_item
          field: purchasable_entity
          relationship: wishlist_items
          group_type: group
          admin_label: ''
          label: Item
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: '{{ title }} - <strong class="item-unavailable">This item is no longer available</strong>'
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: entity_reference_entity_view
          settings:
            view_mode: wishlist
          group_column: target_id
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          entity_type: commerce_wishlist_item
          entity_field: purchasable_entity
          plugin_id: field
        edit_quantity:
          id: edit_quantity
          table: commerce_wishlist_item
          field: edit_quantity
          relationship: wishlist_items
          group_type: group
          admin_label: ''
          label: Quantity
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: col-desktop
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          entity_type: commerce_wishlist_item
          plugin_id: commerce_wishlist_item_edit_quantity
        remove_button:
          id: remove_button
          table: commerce_wishlist_item
          field: remove_button
          relationship: wishlist_items
          group_type: group
          admin_label: ''
          label: Remove
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          entity_type: commerce_wishlist_item
          plugin_id: commerce_wishlist_item_remove_button
        move_to_cart:
          id: move_to_cart
          table: commerce_wishlist_item
          field: move_to_cart
          relationship: wishlist_items
          group_type: group
          admin_label: ''
          label: 'Move to cart'
          exclude: true
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          keep_item: false
          combine: true
          entity_type: commerce_wishlist_item
          plugin_id: commerce_wishlist_item_move_to_cart
        nothing:
          id: nothing
          table: views
          field: nothing
          relationship: none
          group_type: group
          admin_label: 'Wishlist actions'
          label: Buttons
          exclude: false
          alter:
            alter_text: true
            text: "{{ move_to_cart }}\r\n{{ remove_button }}"
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: col-desktop
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: false
          plugin_id: custom
        nothing_1:
          id: nothing_1
          table: views
          field: nothing
          relationship: none
          group_type: group
          admin_label: ''
          label: 'Buttons - mobile'
          exclude: false
          alter:
            alter_text: true
            text: "<div class=\"mobiCartData\">\r\n  <div class=\"mcdTop\">\r\n    {{ edit_quantity }}\r\n  </div>\r\n  <div class=\"mcdBot\">\r\n    {{ move_to_cart }}\r\n    {{ remove_button }}\r\n  </div>\r\n</div>"
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: col-mobile
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: false
          plugin_id: custom
      filters: {  }
      sorts:
        wishlist_item_id:
          id: wishlist_item_id
          table: commerce_wishlist_item
          field: wishlist_item_id
          relationship: wishlist_items
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          entity_type: commerce_wishlist_item
          entity_field: wishlist_item_id
          plugin_id: standard
      header: {  }
      footer: {  }
      empty: {  }
      relationships:
        wishlist_items:
          id: wishlist_items
          table: commerce_wishlist__wishlist_items
          field: wishlist_items
          relationship: none
          group_type: group
          admin_label: 'wishlist_items: Wishlist Item'
          required: true
          plugin_id: standard
      arguments:
        wishlist_id:
          id: wishlist_id
          table: commerce_wishlist
          field: wishlist_id
          relationship: none
          group_type: group
          admin_label: ''
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          default_argument_skip_url: false
          summary_options:
            base_path: ''
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
          entity_type: commerce_wishlist
          entity_field: wishlist_id
          plugin_id: numeric
      display_extenders: {  }
      css_class: store-wishlist-summary
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
      tags: {  }
